de.caff.util.settings

## Class SimpleDoubleProperty

- java.lang.Object
- - de.caff.util.settings.AbstractBasicChangeableItem
  - - de.caff.util.settings.SimpleDoubleProperty

- All Implemented Interfaces:
    ChangeableItem, Property<java.lang.Double>, java.io.Serializable
  Direct Known Subclasses:
    SimpleDoublePreferenceProperty

      public class SimpleDoubleProperty
      extends AbstractBasicChangeableItem
      implements Property<java.lang.Double>

  Simple property holding a float value.
  Since:
    November 28, 2016
  Author:
    Rammi
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleDoubleProperty(java.lang.String basicName)` Constructor.
    `SimpleDoubleProperty(java.lang.String basicName, double value)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Double` | `getValue()` Get the value of the property.
    `void` | `setValue(double value)` Set the value.
    `void` | `setValue(java.lang.Double value)` Set the value.

    - ### Methods inherited from class de.caff.util.settings.AbstractBasicChangeableItem

      `addValueChangeListener, addValueChangeListenerWeakly, firePropertyChange, fireValueChange, fireValueChange, fireValueChange, getBasicName, getPropertyName, removeValueChangeListener, removeValueChangeListenerWeakly`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface de.caff.util.settings.ChangeableItem

      `addValueChangeListener, addValueChangeListenerWeakly, removeValueChangeListener, removeValueChangeListenerWeakly`

- - ### Constructor Detail

    - #### SimpleDoubleProperty

          public SimpleDoubleProperty(@NotNull
                                      java.lang.String basicName)

      Constructor. Construct a property with the given name or name prefix.
      Parameters:
        `basicName` - name or name prefix

    - #### SimpleDoubleProperty

          public SimpleDoubleProperty(@NotNull
                                      java.lang.String basicName,
                                      double value)

      Constructor. Construct a property with the given name or name prefix.
      Parameters:
        `basicName` - name or name prefix
        `value` - initial value

  - ### Method Detail

    - #### getValue

          @NotNull
          public java.lang.Double getValue()

      Get the value of the property.
      Specified by:
        `getValue` in interface `Property<java.lang.Double>`
      Returns:
        property value

    - #### setValue

          public void setValue(java.lang.Double value)

      Set the value.
      Specified by:
        `setValue` in interface `Property<java.lang.Double>`
      Parameters:
        `value` - new value (not `null`)

    - #### setValue

          public void setValue(double value)

      Set the value.
      Parameters:
        `value` - new value